# class ActionView::Resolver

# Action View Resolver¶ ↑

### Public Class Methods

new() click to toggle source

    # File lib/action_view/template/resolver.rb, line 34
    def initialize
      @cached = Hash.new { |h1,k1| h1[k1] = Hash.new { |h2,k2|
        h2[k2] = Hash.new { |h3,k3| h3[k3] = Hash.new { |h4,k4| h4[k4] = {} } } } }
    end

### Public Instance Methods

clear_cache() click to toggle source

    # File lib/action_view/template/resolver.rb, line 39
    def clear_cache
      @cached.clear
    end

find_all(name, prefix=nil, partial=false, details={}, key=nil, locals=[]) click to toggle source

Normalizes the arguments and passes it on to find_template.

    # File lib/action_view/template/resolver.rb, line 44
    def find_all(name, prefix=nil, partial=false, details={}, key=nil, locals=[])
      cached(key, [name, prefix, partial], details, locals) do
        find_templates(name, prefix, partial, details)
      end
    end